Bug 8136 - Changes the expected lenght of 100$a in rebuild_zebra.pl
Summary: Changes the expected lenght of 100$a in rebuild_zebra.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Christophe Croullebois
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 8347
  Show dependency treegraph
 
Reported: 2012-05-22 09:57 UTC by Christophe Croullebois
Modified: 2013-12-05 19:59 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
this patch changes 35 to 36 (1.58 KB, patch)
2012-05-22 12:30 UTC, Christophe Croullebois
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8136 Changes the expected lenght of 100$a in rebuild_zebra.pl (1.65 KB, patch)
2012-06-11 16:26 UTC, Sophie MEYNIEUX
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Christophe Croullebois 2012-05-22 09:57:59 UTC
In rebuild_zebra.pl, if we are in "unimarc" ("marcflavour" syspref), the sub "fix_unimarc_100" is called and checks if 100$a lenght is equal to 35.
If it is not the case, the sub inserts the timestamp and more, so we loose the datas in reindexing.
The standart lenght is 36.
Comment 1 Christophe Croullebois 2012-05-22 12:30:42 UTC Comment hidden (obsolete)
Comment 2 Sophie MEYNIEUX 2012-06-11 16:26:09 UTC
Created attachment 10237 [details] [review]
[SIGNED-OFF] Bug 8136 Changes the expected lenght of 100$a in rebuild_zebra.pl

In rebuild_zebra.pl, if we are in "unimarc" ("marcflavour" syspref), the sub "fix_unimarc_100" is called and checks if 100$a lenght is equal to 35.
If it is not the case, the sub inserts the localtime and more, so we loose the datas in reindexing.
The standart lenght is 36.
I have just changed 35 to 36.

Signed-off-by: Sophie Meynieux <sophie.meynieux@biblibre.com>
Comment 3 Sophie MEYNIEUX 2012-06-11 16:31:36 UTC
Modified record.abs to index pubdate in 100 field (UNIMARC)

rebuild_zebra without the patch : Sorting on pubdate is not relevant
rebuild_zebra with the patch : sorting on pubdate is relevant for biblio with 100 well filled
Comment 4 Ian Walls 2012-06-15 15:19:09 UTC
Adjust length check by 1 to conform to standards.  Marking Passed QA.
Comment 5 Chris Cormack 2012-06-20 09:16:30 UTC
No string changes, pushed to 3.8.x, will be in 3.8.2